#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    scanf("%d",&n);
    int k;
    scanf("%k",&k);
    int a[n];
    for(int i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
    }
    int ponavljanje[1+2*n];
    for(int p=-n;p<=n;p++)
    {
        ponavljanje[p]=0;
    }
    for(int i=0;i<n;i++)
    {
        ponavljanje[a[i]]=ponavljanje[a[i]]+1;
    }
    int br=0;
    for(int p=-n;p<=n;p++)
    {
        if(ponavljanje[p]>=k)
        br++;
    }
    cout<<br<<"\n";
     for(int p=-n;p<=n;p++)
    {
        if(ponavljanje[p]>=k)
        cout<<p<<" ";
    }
    return 0;
}